Subject: RE: document layout for singlehop, multihop and generic

From: "Zafar Ali \(zali\)" <[email-masked]>
Date: Tue, 25 Oct 2005 11:14:08 -0400

Hi Suping and Pekka, 

This will certainly catch us in the Law of Diminishing Return.  

Thanks

Regards... Zafar
 
> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Suping Zhai
> Sent: Tuesday, October 25, 2005 7:11 AM
> To: Pekka Savola; bfd
> Subject: Re: document layout for singlehop, multihop and generic
> 
> Hi Pekka,
> I have the same feeling with you. In fact before last 63th 
> meeting, including me and you, some other people provide the 
> alike concern.
> Based on the your suggestions I propose further that the 
> following separation be considered in the upcoming meeting, 
> and to have a logical assignment for various documents:
> 1) First bfd-generic-01 is a common guidance for all the bfd 
> draft, for the generic purpose,
> 2) Second bfd-multihop-xx, bfd-v4v6-1hop-xx, bfd-mpls-xx 
> separately describe the specific deployment of BFD in various 
> situations if the generic document doesn't cover;
> 3) Last the protocol specific descriptions e.g. 
> OSFP/ISIS/BGP(IBGP and EBGP)/RIPv2 with BFD are given out in 
> detail, including the bootstrap methods, interactions etc in 
> the very specific environment.
> 
> Since that almost all documents have been in a relative 
> stable state, it's not very difficult to seperate the 
> existing draft according to the above rules.
> 
> Hope that BFD work group will produce a set of sensible 
> documents for the vendors or operators to follow.
> 
> Best Regards,
> Suping
> >Hi,
> >
> >I'm still puzzled by the coverage of various documents:
> >
> >  1) bfd-multihop-03: about 3 pages of very generic (non-protocol
> >specific) guidance on multihop BFD sessions.
> >
> >  2) bfd-v4v6-1hop-04: the first 4.5 pages are very generic 
> single-hop 
> >BGP guidance (applicable to any single hop BFD application), the next
> >4 pages detail a number of OSPF/IS-IS details for single-hop cases
> >
> >  3) bfd-generic-01: about 5 pages of generic BFD guidance (not 
> >specific to either single or multihop).
> >
> >This seems like patchwork.  IMHO, a more logical separation might be 
> >having everything generic (either single or multihop) in one 
> document 
> >and moving the protocol-specific details out of v2v6-1hop to 
> a separate 
> >BFD+OSPF/ISIS document.
> >
> >-- 
> >Pekka Savola                 "You each name yourselves king, yet the
> >Netcore Oy                    kingdom bleeds."
> >Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
>